Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.rules
Class FURIA.NumericAntd

    java.lang.Object
      weka.classifiers.rules.FURIA.NumericAntd

All Implemented Interfaces:
  java.io.Serializable, Copyable, WeightedInstancesHandler

Enclosing class:
  FURIA

    public class FURIA.NumericAntd

extends java.lang.Object

The antecedent with numeric attribute

See Also:
  Serialized Form

Field Summary
`boolean` | `fuzzyYet` A flag determining whether this antecedent was successfully fuzzified yet
`double` | `splitPoint` The split point for this numeric antecedent
`double` | `supportBound` The edge point for the fuzzy set of this numeric antecedent

Constructor Summary
`FURIA.NumericAntd(Attribute a)` Constructor

Method Summary
`java.lang.Object` | `copy()` Implements Copyable
`double` | `covers(Instance inst)` The degree of coverage for the instance given that antecedent
`double` | `getSplitPoint()` Get split point of this numeric antecedent
`Instances[]` | `splitData(Instances insts, double defAcRt, double cl)` Implements the splitData function.
`java.lang.String` | `toString()` Prints this antecedent

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### splitPoint

    public double splitPoint

  The split point for this numeric antecedent

### supportBound

    public double supportBound

  The edge point for the fuzzy set of this numeric antecedent

### fuzzyYet

    public boolean fuzzyYet

  A flag determining whether this antecedent was successfully fuzzified yet

Constructor Detail

### FURIA.NumericAntd

    public FURIA.NumericAntd(Attribute a)

  Constructor

Method Detail

### getSplitPoint

    public double getSplitPoint()

  Get split point of this numeric antecedent

  Returns:
    the split point of this numeric antecedent

### copy

    public java.lang.Object copy()

  Implements Copyable

  Specified by:
    `copy` in interface `Copyable`
  Returns:
    a copy of this object

### splitData

    public Instances[] splitData(Instances insts,
                                 double defAcRt,
                                 double cl)

  Implements the splitData function. This procedure is to split the data into two bags according to the information gain of the numeric attribute value The maximum infoGain is also calculated.

  Parameters:
    `insts` - the data to be split
    `defAcRt` - the default accuracy rate for data
    `cl` - the class label to be predicted
  Returns:
    the array of data after split

### covers

    public double covers(Instance inst)

  The degree of coverage for the instance given that antecedent

  Parameters:
    `inst` - the instance in question
  Returns:
    the numeric value indicating the membership of the instance for this antecedent

### toString

    public java.lang.String toString()

  Prints this antecedent

  Returns:
    a textual description of this antecedent

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD